#ifndef _BLOCKLIST_EDITOR_H
#define _BLOCKLIST_EDITOR_H

#include <Window.h>
#include <ScrollView.h>
#include <ListView.h>
#include <Box.h>
#include <String.h>
#include "GenList.h"

class BlockItem : public BStringItem
{ 
	public: 
		BlockItem( char *s ) : BStringItem(s) {};
		virtual void DrawItem( BView *owner, BRect frame, bool complete = false );
};

class BlockListEditorView : public BView
{
	friend class BlockListEditorWindow;

	public:
		BlockListEditorView( BRect rect );
		
	private:
		BListView* list;
		BScrollView* scroll;
 		BButton* addButton;
		BButton* removeButton;
		BButton* closeButton;
};


class BlockListEditorWindow : public BWindow
{
	public:
		BlockListEditorWindow( BRect frame );
		~BlockListEditorWindow();

		virtual void MessageReceived(BMessage* message);
		virtual void DispatchMessage( BMessage* msg, BHandler* handler );	
		virtual	bool QuitRequested();

	private:
		
		void DoLoad();
		void DoRemove();
		void DoAdd();
		void DoRealAdd( BMessage* msg );
		void HandleExternalBlockiness( BMessage* msg );
	
		BlockListEditorView *genView;
};

#endif
